'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.binding = binding;
exports.checkBinding = checkBinding;
/**
 * 绑定
 *
 * @param {Number} phone            手机号码
 * @param {Number} verificationCode 手机验证码
 * @param {String} bindingCode      绑定码
 */
function binding(phone, verificationCode, bindingCode) {
  var _this = this;

  // { code: 1, data: { uid: '1234', access_token: '315dd203fdedc3b0f580a40f20b5c179-1468226741' } }
  return this.authClient.post('verify/login', {
    data: {
      phone: phone,
      message_code: verificationCode,
      band_code: bindingCode
    }
  }).then(function (result) {
    return _this.saveToken(result.data.user_id, result.data.access_token);
  });
};

/**
 * 检查用户绑定审核状态
 *
 * @param {String} uid 用户ID
 */
function checkBinding(uid) {
  var _this2 = this;

  // { code: 1, data: true }
  return this.getToken(uid).then(function (token) {
    return _this2.apiClient.get('mobile/band-status', { token: token });
  }).then(function (result) {
    return { uid: uid, activated: result.code };
  });
}