'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _superagent = require('superagent');

var _superagent2 = _interopRequireDefault(_superagent);

var _config = require('./config');

var _config2 = _interopRequireDefault(_config);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var methods = ['get', 'post'];

var formatUrl = function formatUrl(type, path) {
  var adjustedPath = path[0] !== '/' ? '/' + path : path;
  if (type === 1) {
    return '' + _config2.default.AUTH_URL + adjustedPath;
  }
  return '' + _config2.default.API_URL + adjustedPath;
};

var Client =
/**
 * type: 1 认证，2 API
 */
function Client(type) {
  var _this = this;

  _classCallCheck(this, Client);

  methods.forEach(function (method) {
    _this[method] = function (path) {
      var _ref = arguments.length <= 1 || arguments[1] === undefined ? {} : arguments[1];

      var params = _ref.params;
      var data = _ref.data;
      var token = _ref.token;
      return new Promise(function (resolve, reject) {
        var request = _superagent2.default[method](formatUrl(type, path));

        if (params) {
          request.query(params);
        }

        if (data) {
          request.send(data);
        }

        if (token) {
          request.set('Authorization', token);
        }

        request.end(function (err) {
          var _ref2 = arguments.length <= 1 || arguments[1] === undefined ? {} : arguments[1];

          var body = _ref2.body;

          if (err) {
            reject(body || err);
          } else {
            resolve(body);
          }
        });
      });
    };
  });
};

exports.default = Client;